> ## Documentation Index
> Fetch the complete documentation index at: https://docs.schoolmaker.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Consultation Categories

> Retrieves consultation categories. Use a published category when creating or updating a question.



## OpenAPI

````yaml post /operations/consultation_categories
openapi: 3.0.1
info:
  title: SchoolMaker API V1
  description: API for managing your SchoolMaker school
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://schoolmaker.co/api/v1
    description: Production API
security:
  - bearerAuth: []
paths:
  /operations/consultation_categories:
    post:
      tags:
        - Consultations
      summary: List Consultation Categories
      description: >-
        Retrieves consultation categories. Use a published category when
        creating or updating a question.
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                page:
                  type: integer
                  minimum: 1
                  maximum: 10000
                  default: 1
                per_page:
                  type: integer
                  minimum: 1
                  maximum: 30
                  default: 30
              additionalProperties: false
            example:
              page: 1
              per_page: 30
      responses:
        '200':
          description: Successful response.
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                  - page
                  - next_page
                properties:
                  data:
                    type: array
                    maxItems: 30
                    items:
                      type: object
                      required:
                        - id
                        - name
                        - is_published
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        is_published:
                          type: boolean
                  page:
                    type: integer
                    minimum: 1
                  next_page:
                    type: integer
                    nullable: true
              example:
                data:
                  - id: CATEGORY_ID
                    name: General
                    is_published: true
                page: 1
                next_page: null
        '401':
          description: Missing or invalid API credentials, or unavailable school account.
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
              example:
                error: Access denied
        '403':
          description: Permission denied.
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
              example:
                error: You do not have permission to perform this action
        '404':
          description: Missing or inaccessible record.
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
              example:
                error: Record not found
        '422':
          description: Invalid parameters or question details.
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
              example:
                error: 'Invalid arguments: /attributes/is_ready boolean'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.